Page MenuHomePhabricator

1.37.0-wmf.9 deployment blockers
Closed, ResolvedPublicRelease

Details

Other Assignee
mmodell
Release Version
1.37.0-wmf.9
Release Date
Mon, Jun 7, 12:00 AM

2021 week 23 1.37-wmf.9 Changes wmf/1.37.0-wmf.9

This MediaWiki Train Deployment is scheduled for the week of Monday, June 7th:

Monday June 7thTuesday, June 8thWednesday, June 9thThursday, June 10thFriday
Backports only.Branch wmf.9 and deploy to Group 0 Wikis.Deploy wmf.9 to Group 1 Wikis.Deploy wmf.9 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.9 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.37.0-wmf.8
Next: 1.37.0-wmf.10

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: mmodell.

Macro whereismypopcorn:

Is there a risky patch or something we should be worried about in this train?

Is there a risky patch or something we should be worried about in this train?

The planned removal of the Revision class hasn't merged yet (waiting for Wikibase to decide if it wants to continue supporting 1.36 on master) so that risky patch will be for some future train

Is there a risky patch or something we should be worried about in this train?

No risky patch but it'll be two weeks of patches instead of one.

Is there a risky patch or something we should be worried about in this train?

No risky patch but it'll be two weeks of patches instead of one.

Ah, got it, had me worried :)

Change 698818 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] testwikis wikis to 1.37.0-wmf.9 refs T281150

https://gerrit.wikimedia.org/r/698818

Change 698818 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.37.0-wmf.9 refs T281150

https://gerrit.wikimedia.org/r/698818

Mentioned in SAL (#wikimedia-operations) [2021-06-08T16:32:22Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.37.0-wmf.9 refs T281150

Mentioned in SAL (#wikimedia-operations) [2021-06-08T17:06:34Z] <jhuneidi@deploy1002> Finished scap: testwikis wikis to 1.37.0-wmf.9 refs T281150 (duration: 34m 12s)

@Jdlrobson I think that would be alright. Do you need me to deploy it to testwikis?

@jeena should be fine to just merge into the branch before we deploy to mediawiki.org / test.wikipedia.org. I'd rather not see this regression go out in any form to production wikis. I am happy to verify it once that's done if helpful.

Change 698845 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.37.0-wmf.9 refs T281150

https://gerrit.wikimedia.org/r/698845

Change 698845 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.37.0-wmf.9 refs T281150

https://gerrit.wikimedia.org/r/698845

Mentioned in SAL (#wikimedia-operations) [2021-06-08T19:53:29Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.37.0-wmf.9 refs T281150

Change 699060 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.37.0-wmf.9 refs T281150

https://gerrit.wikimedia.org/r/699060

Change 699060 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.37.0-wmf.9 refs T281150

https://gerrit.wikimedia.org/r/699060

Mentioned in SAL (#wikimedia-operations) [2021-06-09T19:06:53Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.37.0-wmf.9 refs T281150

Mentioned in SAL (#wikimedia-operations) [2021-06-09T19:08:01Z] <jhuneidi@deploy1002> Synchronized php: group1 wikis to 1.37.0-wmf.9 refs T281150 (duration: 01m 07s)

CodeEditor is broken on group 0 and group 1 wikis.

Fix merged, and I'll backport it momentarily.

Change 699274 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] all wikis to 1.37.0-wmf.9 refs T281150

https://gerrit.wikimedia.org/r/699274

Change 699274 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.37.0-wmf.9 refs T281150

https://gerrit.wikimedia.org/r/699274

Mentioned in SAL (#wikimedia-operations) [2021-06-10T19:09:21Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.37.0-wmf.9 refs T281150